> For the complete documentation index, see [llms.txt](https://docs.omnidesk.io/omnidesk/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.omnidesk.io/omnidesk/survey/push-data.md).

# Push data

It is possible to use data from an external survey system.

## Push survey data for a ticket

<mark style="color:green;">`POST`</mark> `https://account.omnidesk.com/api/v2/survey/ticketSurvey`

Either ticketID or a randomTicketID needs to be specified.

#### Request Body

| Name                 | Type    | Description             |
| -------------------- | ------- | ----------------------- |
| surveyServer         | string  | myserver.prod.brand.com |
| fields\[0]\['value'] | string  | Value of a survey field |
| fields\[0]\['id']    | integer | ID of a survey field    |
| grade                | integer |                         |
| ticketRandomID       | string  |                         |
| ticketID             | integer |                         |

{% tabs %}
{% tab title="200 " %}

```
{
    "type": "result",
    "status": "success",
    "message": "Survey data is saved for the specified ticket."
}
```

{% endtab %}
{% endtabs %}

Sample CURL:

curl --request POST  --url [https://{{accountName}}.omnidesk.com/api/v2/survey/ticketSurvey](https://app.omnidesk.io/api/v2/survey/ticketSurvey)  --header 'apikey: '  {{apiKey}} --header 'content-type: multipart/form-data; boundary=---011000010111000001101001'  --form surveyServer=test.test.com  --form 'fields\[0]\[value]=great support from employee'  --form 'fields\[0]\[id]=1'  --form 'fields\[1]\[value]=feedback to company'  --form 'fields\[1]\[id]=2'  --form grade=9  --form ticketID=937137


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.omnidesk.io/omnidesk/survey/push-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
